Name:     simple-http-fs
Version:  1.0.0
Release:  %{?dist}
Summary:  Simple GoLang Base http file server
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/wpe/
Source0:  simple-http-fs.service
Source1:  simple-http-fs
Source2:  simple-http-fs.sysconfig

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires: systemd-units
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
A simple http file server written in GoLang.
It contains a special /ip api that shows the client IP address.

%prep

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/simple-http-fs
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/simple-http-fs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/sysconfig
%config(noreplace) %{_sysconfdir}/sysconfig/simple-http-fs
%attr(755,root,root) %{_bindir}/simple-http-fs

%{_unitdir}/simple-http-fs.service

%post
%systemd_post simple-http-fs.service

%preun
%systemd_preun simple-http-fs.service

%postun
%systemd_postun_with_restart simple-http-fs.service

%changelog
* Thu Jul 13 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 1.0.0 Stable.
